Last Comment Bug 693875 - Allow DOMParser to make SVGDocuments
: Allow DOMParser to make SVGDocuments
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: mozilla10
Assigned To: Olli Pettay [:smaug] (high review load, please consider other reviewers)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-11 17:28 PDT by Jesse Ruderman
Modified: 2011-11-20 10:32 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (12.39 KB, patch)
2011-10-12 11:53 PDT, Olli Pettay [:smaug] (high review load, please consider other reviewers)
jst: review+
Details | Diff | Review

Description Jesse Ruderman 2011-10-11 17:28:50 PDT
Would be useful for fuzzing.
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2011-10-12 11:53:33 PDT
Created attachment 566600 [details] [diff] [review]
patch

Do it in a simple way.
Once we need to be able to force different doc types, we can change aSVGDocument
parameter to an enum.
Comment 2 Anne (:annevk) 2011-10-12 15:57:05 PDT
This should really be fixed by fixing 512688.
Comment 3 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2011-10-12 16:00:05 PDT
This is orthogonal to bug 512688.
Comment 4 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2011-10-13 04:33:07 PDT
https://hg.mozilla.org/mozilla-central/rev/85a61d68b152
Comment 5 Nickolay_Ponomarev 2011-10-15 08:10:37 PDT
Since http://mxr.mozilla.org/mozilla-central/source/content/base/public/nsIDOMParser.idl#80 lists the supported content types, it should probably be updated too.

dev-doc-needed for: https://developer.mozilla.org/en/DOMParser
Comment 6 Jean-Yves Perrier [:teoli] 2011-11-20 05:55:02 PST
I've updated (and created that ยง)
https://developer.mozilla.org/en/DOM/DOMParser#Parsing_a_SVG_document

It would need another update when bug 512688 will be fixed (I've added dev-doc-needed to that bug).

Note You need to log in before you can comment on or make changes to this bug.